﻿/* 整個內容方塊 */
.index校曆11 {
}

    /* 內容方塊標題文字 (h2) */
    .index校曆11 .blockTitle {
        
    }

    .index校曆11 .calendarAndEvent
    {
        display : block;
    }

.index校曆11 .loopElementList
{
  height : 580px;
}

.index校曆11 .calendarContainer
{
    padding : 1rem;
}

.index校曆11 .eventContainer {
    padding : 1rem;
}

    .index校曆11 .eachEvent {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: flex-start;
        align-items: stretch;

        border-bottom: solid 1px #000000;
        padding: 1rem;
        color : #9D2208;
    }

        .index校曆11 .eachEvent .date {
            width: 5em;
            font-size: 0.8rem;
            flex-grow: 0;
            flex-shrink: 0;
        }

        .index校曆11 .eachEvent .text {
            flex-grow: 1;
            flex-shrink: 1;
        }

    /*日曆表格*/
    .index校曆11 .calendarBody {
        border-collapse: collapse;
        width: 100%;
    }

        .index校曆11 .calendarBody td {
            padding: 0;
            border-style: solid solid solid solid;
            border-width: 1px 1px 1px 1px;
            border-color: #000000;
            width: calc(100%/7);
            max-width: calc(100%/7);
        }

            .index校曆11 .calendarBody td.yearMonth {
                text-align: center;
                font-weight: bold;
                border-style: none none dotted none;
                line-height: 3em;
            }

    .index校曆11 .weekName td {
        border-left: none 0;
        border-right: none 0;
        text-align: center;
        font-weight: bold;
        line-height: 3em;
    }

    /*上個月的日子*/
    .index校曆11 .lastMonth {
    }

    .index校曆11 .eachDay {
        padding: 0;
    }

    .index校曆11 .today {
        border: solid 4px #92E3F1;
    }

    .index校曆11 .oneDay {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: space-between;
        align-items: stretch;
    }

        .index校曆11 .oneDay .upper {
            flex-basis: 40%;
            display: flex;
            flex-direction: row;
            flex-wrap: nowrap;
            justify-content: space-around;
            align-items: stretch;
        }

        .index校曆11 .oneDay .dayOfMonth {
            flex-basis: 60%;
            text-align: center;
        }

    .index校曆11 .smallChar {
        font-size: smaller;
    }

    .index校曆11 .Sunday, .index校曆11 .Saturday {
    }

.index校曆11 .cycle {
    font-size: smaller;
    border: solid 1px #000000;
    border-radius: 50%;
    padding: 0 8px;
}

    .index校曆11 .dayOfMonth {
    }

    .index校曆11 .calendarBody .nextMonth, .index校曆11 .calendarBody .preMonth {
      border-style: none;
    }

@media (max-width: 480px) {
    .index校曆11 .calendarAndEvent {
        display: block;
        max-width : 100%;
    }

    .index校曆11 .calendarContainer {
        padding: 1rem;
    }
}

@media (min-width: 481px) and (max-width: 767px) {
    .index校曆11 .calendarContainer {
        flex-basis: 300px;
    }
    .index校曆11 .eachEvent {
        display: block;
    }
}

@media (min-width: 768px) and (max-width: 979px) {
   .index校曆11 .calendarAndEvent
   {
display : block
}
}

@media (min-width: 980px) and (max-width:1199px) {
   .index校曆11 .calendarAndEvent
   {
      display : block
   }
}

@media (min-width: 1200px) and (max-width:1919px) {
   .index校曆11 .calendarAndEvent
   {
      display : block
   }
}

@media (min-width: 1920px) {
}
